/**
 * SKA MID Sensitivity Calculator API
 * The SKA MID Sensitivity Calculator API offers two modes: continuum and zoom.  Each of these has an API resource to calculate a sensitivity or integration time for an observation,  and another to retrieve information relating to image weighting (beam-size and relative sensitivity).  There is also a resource for obtaining subarray information. 
 *
 * The version of the OpenAPI document: 10.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { MidFrequencyWithUnit } from './frequencyWithUnit';
import { MidImageSensitivity } from './imageSensitivity';


export interface MidSingleSubbandIntegrationTimeResponse { 
    subband_freq_centre?: MidFrequencyWithUnit;
    integration_time?: MidImageSensitivity;
}

